# C++ keyword: `if`

From cppreference.com
< cpp‎ | keyword

### Usage

- `if` statement: begins the `if` statement

- `constexpr` `if` statement: begins the `constexpr` `if` statement

(since C++17)

- `consteval` `if` statement: begins the `consteval` `if` statement

(since C++23)

### See also

- `if` statement: `else`

- `switch` statement: `switch`, `case`
- `default` (as case label declaration) etc: `default`
- `goto` statement: `goto`
- `continue` statement: `continue`
- `break` statement: `break`
- `return` statement: `return`

- `co_return` statement (return from a coroutine): `co_return`

(since C++20)

- `do-while` loop and `while` loop: `do`, `while`
- `for` loop and range-based `for` loop: `for`

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/if&oldid=176222"